## dvi2ps 3.0a1

=== Makefile ===
# The following file and directory specifications may need changing at
# your site:
#
# BINAREA and DVI2LIB are relative to PREFIX
PREFIX=/usr/local
# where dvi2ps is installed
BINAREA=${PREFIX}/bin
#
# directory for dvi2ps: where the auxiliary files are installed
DVI2LIB=${PREFIX}/lib/dvi2ps
#
# name of default fontdesc file in your site
FONTDESC=fontdesc
#
DVI2PATH=.:${DVI2LIB}
#
# default paper type.
# (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
PAPERTYPE=A4
#
# default print area.
# If your printer does not have enough memory, change this variable to FALSE.
# (e.g. LaserWriter Plus)
LARGEAREA=TRUE
#
# default page order.
# If your printer's output is face up, change this variable to TRUE.
# (e.g. LaserWriter Plus)
PAGEREVERSE=FALSE
#
# resolution and mode of the printer (dpi)
RESOLUTION=600
MFMODE=canonex
#
# top margin and left margin (unit 1/72 inch)
TOPMARGIN=72
LEFTMARGIN=72
#
# VFlib (optional font formats)
FONTF = -DVFLIB
# comment out VFLIB and VFLIBINC, if -DFVLIB is not used
VFLIB = -L${PREFIX}/lib -lVFlib2 -lttf
VFLIBINC = -I${PREFIX}/include

# kpathsea
KPSELIB = -L${PREFIX}/lib -lkpathsea
KPSEINC = -I${PREFIX}/include -DKPATHSEA

#
CC=gcc
#
CCFLAGS = -g -O
#CCFLAGS = -O		# SUNOS 4.X etc ...
#CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD (gcc 2.X), Linux
#CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
#CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# Solaris 2.X (SUNWpro/bin/cc)
#CCFLAGS = -O -DSYSVIO		# Solaris 2.X (/usr/ucb/cc -- not recommended)
#CCFLAGS = -O -DPOSIX -DSYSV	# UXP/DS
#CCFLAGS = -O -DSYSV -DSYSVIO	# SysV systems
#CCFLAGS = -O -bsd	# NeXT
#CCFLAGS = -O -traditional -DPOSIX	# 386bsd (gcc 1.X)

# BSD-type install assumed
INSTALL=install

# You don't have to change the definition variables in the folllowing.
#
CFLAGS = ${CCFLAGS} ${FONTF} ${KPSEINC}
CNFCFLAGS = ${CFLAGS} -DDVI2PATH=\"${DVI2PATH}\" \
	    -DDVI2LIB=\"${DVI2LIB}\" -DFONTDESC=\"//${FONTDESC}\" \
	    -DRESOLUTION=${RESOLUTION} -DMFMODE=\"${MFMODE}\" \
	    -DPAGEREVERSE=${PAGEREVERSE}
DEVCFLAGS = ${CFLAGS} -DPAPERTYPE=${PAPERTYPE} -DLARGEAREA=${LARGEAREA}

FILES = README COPYRIGHT doc Makefile \
	dvi2.psdoc special.psdoc psifont.psdoc color.psdoc lib-dist tools \
	defs.h xxstdio.h global.h commands.h set.h dconv.h \
	virfont.h pkfont.h gffont.h pxlfont.h jxl4font.h \
	rastfont.h bifont.h funcfont.h \
	jsub.h emit.h \
	ps.h \
	dvi2.c dviconv.c dfdcom.c fontcom.c set.c rfset.c vfset.c \
	dconv.c run.c mag.c fontdesc.c scanfont.c \
	virfont.c vfdcom.c \
	pkfont.c gffont.c pxlfont.c jxl4font.c jxl4.c \
	rastfont.c \
	bifont.c type1font.c wlfont.c vflfont.c mmfont.c \
	compfont.c decompfont.c execfont.c \
	funcfont.c \
	kanji.c open.c io.c util.c \
	xxstdio.c \
	version.c \
	ps.c psrast.c psjxl4.c \
	psbi.c pstfm.c pstype1.c pswl.c psvfl.c \
	psspecial.c pscolor.c psifont.c psio.c

DVI2OBJS = dvi2.o dviconv.o dfdcom.o fontcom.o set.o rfset.o vfset.o \
	dconv.o run.o mag.o fontdesc.o scanfont.o \
	virfont.o vfdcom.o \
	pkfont.o gffont.o pxlfont.o jxl4font.o jxl4.o \
	rastfont.o \
	bifont.o type1font.o wlfont.o vflfont.o mmfont.o \
	compfont.o decompfont.o execfont.o \
	funcfont.o \
	kanji.o open.o io.o util.o \
	xxstdio.o \
	version.o
PSOBJS = ps.o psrast.o psjxl4.o \
	psbi.o pstfm.o pstype1.o pswl.o psvfl.o \
	psspecial.o pscolor.o psifont.o psio.o

DVI2HEADERS = ${DVI2LIB}/headers
HDR = lib/headers
PSHEADERS = ${HDR}/dvi2.ps ${HDR}/special.ps ${HDR}/psifont.ps ${HDR}/color.ps

all: dvi2ps ${PSHEADERS}

dvi2ps: ${DVI2OBJS} ${PSOBJS}
	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${VFLIB} ${KPSELIB} -lm
dvi2.o: Makefile
	${CC} ${CNFCFLAGS} -c dvi2.c
ps.o: Makefile
	${CC} ${DEVCFLAGS} -c ps.c
# files that depend on ${FONTF}
vflfont.o: Makefile
psvfl.o: Makefile
	${CC} ${CFLAGS} ${VFLIBINC} -c psvfl.c

newlib: ${PSHEADERS} lib/dvi2.ps
	cp -pr lib-dist/* lib

install: install-dvi2ps install-header

install-dvi2ps: dvi2ps
	${INSTALL} -c -s -m 755 dvi2ps ${BINAREA}/dvi2ps

install-header: ${PSHEADERS} lib/dvi2.ps
	-mkdir ${DVI2LIB}
	cp -p ${PSHEADERS} ${DVI2HEADERS}
	cp -p lib/dvi2.ps ${DVI2LIB}
	chmod -R a+r ${DVI2HEADERS} ${DVI2LIB}/dvi2.ps

install-lib: ${PSHEADERS}
	-mkdir ${DVI2LIB}
	cp -pr lib/* ${DVI2LIB}
	chmod -R a+r ${DVI2LIB}

lib/dvi2.ps: ${HDR}/dvi2.ps ${HDR}/special.ps
	cat ${HDR}/dvi2.ps ${HDR}/special.ps > lib/dvi2.ps
${HDR}/dvi2.ps: dvi2.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < dvi2.psdoc | \
	sed -e s/'##XCOORD##'/${LEFTMARGIN}/ -e s/'##YCOORD##'/${TOPMARGIN}/ \
		> ${HDR}/dvi2.ps
${HDR}/special.ps: special.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < special.psdoc > ${HDR}/special.ps
${HDR}/psifont.ps: psifont.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < psifont.psdoc > ${HDR}/psifont.ps
${HDR}/color.ps: color.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < color.psdoc > ${HDR}/color.ps

install-MakePK:
	${INSTALL} -c -m 755 tools/MakePK ${BINAREA}/MakePK

install-lprdvi:
	sed -e s,'%%BINAREA%%',${BINAREA}, \
	    -e s,'%%FONTDESC%%',${FONTDESC}, \
	    -e s,'%%LEFTMARGIN%%',${LEFTMARGIN}, \
	    -e s,'%%TOPMARGIN%%',${TOPMARGIN}, \
		tools/lprdvi.templ > ${BINAREA}/lprdvi
	chmod 755 ${BINAREA}/lprdvi

clean:	
	rm -f dvi2ps *.o *.orig core

lint:
	lint *.c

dist:
	tar cf - ${FILES} | gzip > dvi2ps.tar.gz


dvi2.o: dconv.h defs.h
dviconv.o: dconv.h defs.h set.h
dfdcom.o: dconv.h defs.h
fontcom.o: defs.h set.h
set.o: defs.h set.h
rfset.o: defs.h set.h
vfset.o: defs.h set.h
dconv.o : dconv.h
run.o: defs.h
mag.o: defs.h
fontdesc.o: defs.h
scanfont.o: dconv.h defs.h set.h
virfont.o: defs.h set.h virfont.h
vfdcom.o: dconv.h defs.h
pkfont.o: defs.h rastfont.h pkfont.h
gffont.o: defs.h rastfont.h gffont.h
pxlfont.o: defs.h rastfont.h pxlfont.h
jxl4font.o: defs.h rastfont.h jxl4font.h
#jxl4.o: defs.h
rastfont.o: defs.h rastfont.h
bifont.o: defs.h bifont.h jsub.h
type1font.o: defs.h bifont.h
wlfont.o: defs.h bifont.h
vflfont.o: defs.h bifont.h Makefile
mmfont.o: defs.h bifont.h
compfont.o: defs.h set.h funcfont.h jsub.h
decompfont.o: defs.h set.h funcfont.h jsub.h
execfont.o: defs.h
funcfont.o: defs.h funcfont.h
kanji.o: defs.h jsub.h
open.o: defs.h
io.o: defs.h
#util.o: defs.h
xxstdio.o: defs.h xxstdio.h

ps.o: defs.h emit.h ps.h
psspecial.o: defs.h emit.h
psrast.o: defs.h emit.h rastfont.h ps.h
psjxl4.o: defs.h rastfont.h ps.h
psbi.o: defs.h emit.h bifont.h ps.h
pstfm.o: defs.h emit.h bifont.h ps.h
pstype1.o: defs.h
pswl.o: defs.h emit.h bifont.h ps.h
psvfl.o: defs.h emit.h bifont.h ps.h
psifont.o: defs.h emit.h ps.h
psio.o: defs.h emit.h ps.h

## dvi2ps 3.2j

=== Makefile ===
--- 
+++ 
@@ -2,17 +2,22 @@
 # your site:
 #
 # BINAREA and DVI2LIB are relative to PREFIX
-PREFIX=/usr/local
+PREFIX=${DESTDIR}/usr/local
 # where dvi2ps is installed
 BINAREA=${PREFIX}/bin
 #
 # directory for dvi2ps: where the auxiliary files are installed
 DVI2LIB=${PREFIX}/lib/dvi2ps
 #
+# directory for man and doc
+MANAREA=${PREFIX}/man
+JMANAREA=${PREFIX}/man/ja
+DOCAREA=${PREFIX}/doc/dvi2ps
+#
 # name of default fontdesc file in your site
 FONTDESC=fontdesc
 #
-DVI2PATH=.:${DVI2LIB}
+DVI2PATH=.
 #
 # default paper type.
 # (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
@@ -36,10 +41,13 @@
 TOPMARGIN=72
 LEFTMARGIN=72
 #
-# VFlib (optional font formats)
-FONTF = -DVFLIB
-# comment out VFLIB and VFLIBINC, if -DFVLIB is not used
-VFLIB = -L${PREFIX}/lib -lVFlib2 -lttf
+# optional font formats: FreeType and VFlib
+FONTF = -DFREETYPE -DVFLIB
+# FREETYPE -- FTLIB, FTINC
+# VFLIB    -- FTLIB, FTINC, VFLIB, VFLIBINC
+FTLIB = -L${PREFIX}/lib -lttf
+FTINC = -I${PREFIX}/include/freetype
+VFLIB = -L${PREFIX}/lib -lVFlib2
 VFLIBINC = -I${PREFIX}/include
 
 # kpathsea
@@ -49,7 +57,7 @@
 #
 CC=gcc
 #
-CCFLAGS = -g -O
+CCFLAGS = -g -O -DPOSIX
 #CCFLAGS = -O		# SUNOS 4.X etc ...
 #CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD (gcc 2.X), Linux
 #CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
@@ -65,6 +73,7 @@
 
 # You don't have to change the definition variables in the folllowing.
 #
+FONTLIB = ${VFLIB} ${FTLIB}
 CFLAGS = ${CCFLAGS} ${FONTF} ${KPSEINC}
 CNFCFLAGS = ${CFLAGS} -DDVI2PATH=\"${DVI2PATH}\" \
 	    -DDVI2LIB=\"${DVI2LIB}\" -DFONTDESC=\"//${FONTDESC}\" \
@@ -72,41 +81,42 @@
 	    -DPAGEREVERSE=${PAGEREVERSE}
 DEVCFLAGS = ${CFLAGS} -DPAPERTYPE=${PAPERTYPE} -DLARGEAREA=${LARGEAREA}
 
-FILES = README COPYRIGHT doc Makefile \
+FILES = README COPYRIGHT man doc Makefile \
 	dvi2.psdoc special.psdoc psifont.psdoc color.psdoc lib-dist tools \
 	defs.h xxstdio.h global.h commands.h set.h dconv.h \
-	virfont.h pkfont.h gffont.h pxlfont.h jxl4font.h \
-	rastfont.h bifont.h funcfont.h \
+	virfont.h pkfont.h gffont.h rastfont.h \
+	bifont.h funcfont.h \
 	jsub.h emit.h \
 	ps.h \
+	cscommands.h \
 	dvi2.c dviconv.c dfdcom.c fontcom.c set.c rfset.c vfset.c \
 	dconv.c run.c mag.c fontdesc.c scanfont.c \
 	virfont.c vfdcom.c \
-	pkfont.c gffont.c pxlfont.c jxl4font.c jxl4.c \
-	rastfont.c \
-	bifont.c type1font.c wlfont.c vflfont.c mmfont.c \
+	pkfont.c gffont.c rastfont.c \
+	bifont.c type1font.c wlfont.c ftfont.c vflfont.c mmfont.c \
 	compfont.c decompfont.c execfont.c \
 	funcfont.c \
-	kanji.c open.c io.c util.c \
+	kpse.c kanji.c open.c io.c util.c \
 	xxstdio.c \
 	version.c \
-	ps.c psrast.c psjxl4.c \
-	psbi.c pstfm.c pstype1.c pswl.c psvfl.c \
+	ps.c psrast.c \
+	psbi.c pstfm.c pstype1.c pswl.c psft.c psftt1.c psvfl.c \
+	pst1form.c \
 	psspecial.c pscolor.c psifont.c psio.c
 
 DVI2OBJS = dvi2.o dviconv.o dfdcom.o fontcom.o set.o rfset.o vfset.o \
 	dconv.o run.o mag.o fontdesc.o scanfont.o \
 	virfont.o vfdcom.o \
-	pkfont.o gffont.o pxlfont.o jxl4font.o jxl4.o \
-	rastfont.o \
-	bifont.o type1font.o wlfont.o vflfont.o mmfont.o \
+	pkfont.o gffont.o rastfont.o \
+	bifont.o type1font.o wlfont.o ftfont.o vflfont.o mmfont.o \
 	compfont.o decompfont.o execfont.o \
 	funcfont.o \
-	kanji.o open.o io.o util.o \
+	kpse.o kanji.o open.o io.o util.o \
 	xxstdio.o \
 	version.o
-PSOBJS = ps.o psrast.o psjxl4.o \
-	psbi.o pstfm.o pstype1.o pswl.o psvfl.o \
+PSOBJS = ps.o psrast.o \
+	psbi.o pstfm.o pstype1.o pswl.o psft.o psftt1.o psvfl.o \
+	pst1form.o \
 	psspecial.o pscolor.o psifont.o psio.o
 
 DVI2HEADERS = ${DVI2LIB}/headers
@@ -116,12 +126,18 @@
 all: dvi2ps ${PSHEADERS}
 
 dvi2ps: ${DVI2OBJS} ${PSOBJS}
-	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${VFLIB} ${KPSELIB} -lm
+	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${FONTLIB} ${KPSELIB} -lm
 dvi2.o: Makefile
 	${CC} ${CNFCFLAGS} -c dvi2.c
 ps.o: Makefile
 	${CC} ${DEVCFLAGS} -c ps.c
 # files that depend on ${FONTF}
+ftfont.o: Makefile
+	${CC} ${CFLAGS} ${FTINC} -c ftfont.c
+psft.o: Makefile
+	${CC} ${CFLAGS} ${FTINC} -c psft.c
+psftt1.o: Makefile
+	${CC} ${CFLAGS} ${FTINC} -c psftt1.c
 vflfont.o: Makefile
 psvfl.o: Makefile
 	${CC} ${CFLAGS} ${VFLIBINC} -c psvfl.c
@@ -136,6 +152,7 @@
 
 install-header: ${PSHEADERS} lib/dvi2.ps
 	-mkdir ${DVI2LIB}
+	-mkdir ${DVI2HEADERS}
 	cp -p ${PSHEADERS} ${DVI2HEADERS}
 	cp -p lib/dvi2.ps ${DVI2LIB}
 	chmod -R a+r ${DVI2HEADERS} ${DVI2LIB}/dvi2.ps
@@ -162,19 +179,32 @@
 	-mkdir lib ${HDR}
 	./tools/psstrip < color.psdoc > ${HDR}/color.ps
 
+install-man:
+	${INSTALL} -c -m 444 man/div2ps.1 ${MANAREA}/cat1/dvi2ps.1
+	${INSTALL} -c -m 444 man/div2ps.man ${MANAREA}/man1/dvi2ps.1
+	${INSTALL} -c -m 444 man/div2ps.1j ${JMANAREA}/cat1/dvi2ps.1
+	${INSTALL} -c -m 444 man/div2ps.jman ${JMANAREA}/man1/dvi2ps.1
+
+install-doc:
+	-mkdir ${DOCAREA}
+	${INSTALL} -c -m 444 doc/* ${DOCAREA}
+
 install-MakePK:
 	${INSTALL} -c -m 755 tools/MakePK ${BINAREA}/MakePK
 
-install-lprdvi:
+lprdvi:
 	sed -e s,'%%BINAREA%%',${BINAREA}, \
 	    -e s,'%%FONTDESC%%',${FONTDESC}, \
 	    -e s,'%%LEFTMARGIN%%',${LEFTMARGIN}, \
 	    -e s,'%%TOPMARGIN%%',${TOPMARGIN}, \
-		tools/lprdvi.templ > ${BINAREA}/lprdvi
-	chmod 755 ${BINAREA}/lprdvi
-
-clean:	
-	rm -f dvi2ps *.o *.orig core
+		tools/lprdvi.templ > lprdvi
+
+install-lprdvi: lprdvi
+	${INSTALL} -c -m 755 lprdvi ${BINAREA}/lprdvi
+
+clean:
+	rm -rf lib
+	rm -f dvi2ps lprdvi *.o *.orig core
 
 lint:
 	lint *.c
@@ -199,12 +229,10 @@
 vfdcom.o: dconv.h defs.h
 pkfont.o: defs.h rastfont.h pkfont.h
 gffont.o: defs.h rastfont.h gffont.h
-pxlfont.o: defs.h rastfont.h pxlfont.h
-jxl4font.o: defs.h rastfont.h jxl4font.h
-#jxl4.o: defs.h
 rastfont.o: defs.h rastfont.h
 bifont.o: defs.h bifont.h jsub.h
 type1font.o: defs.h bifont.h
+ftfont.o: defs.h bifont.h
 wlfont.o: defs.h bifont.h
 vflfont.o: defs.h bifont.h Makefile
 mmfont.o: defs.h bifont.h
@@ -212,6 +240,7 @@
 decompfont.o: defs.h set.h funcfont.h jsub.h
 execfont.o: defs.h
 funcfont.o: defs.h funcfont.h
+kpse.o: defs.h
 kanji.o: defs.h jsub.h
 open.o: defs.h
 io.o: defs.h
@@ -221,11 +250,13 @@
 ps.o: defs.h emit.h ps.h
 psspecial.o: defs.h emit.h
 psrast.o: defs.h emit.h rastfont.h ps.h
-psjxl4.o: defs.h rastfont.h ps.h
 psbi.o: defs.h emit.h bifont.h ps.h
 pstfm.o: defs.h emit.h bifont.h ps.h
 pstype1.o: defs.h
 pswl.o: defs.h emit.h bifont.h ps.h
+psft.o: defs.h emit.h bifont.h ps.h
+psftt1.o: defs.h emit.h
 psvfl.o: defs.h emit.h bifont.h ps.h
+pst1form.o: defs.h emit.h
 psifont.o: defs.h emit.h ps.h
 psio.o: defs.h emit.h ps.h

## dvi2ps 4.1j

=== Makefile ===
# The following file and directory specifications may need changing at
# your site:
#
# BINAREA and DVI2LIB are relative to PREFIX
PREFIX=${DESTDIR}/usr/local
# where dvi2ps is installed
BINAREA=${PREFIX}/bin
#
# directory for dvi2ps: where the auxiliary files are installed
DVI2LIB=${PREFIX}/lib/dvi2ps
#
# directory for man and doc
MANAREA=${PREFIX}/man
JMANAREA=${PREFIX}/man/ja
DOCAREA=${PREFIX}/doc/dvi2ps
#
# optional: where lprdvi.conf is installed
ETCAREA=${PREFIX}/etc
#
# name of default fontdesc file in your site
FONTDESC=fontdesc
#
DVI2PATH=.
#
# default paper type.
# (Letter, Legal, Tabloid, B4, B5, A5, A4, A3)
PAPERTYPE=A4
#
# default print area.
# If your printer does not have enough memory, change this variable to FALSE.
# (e.g. LaserWriter Plus)
LARGEAREA=TRUE
#
# default page order.
# If your printer's output is face up, change this variable to TRUE.
# (e.g. LaserWriter Plus)
PAGEREVERSE=FALSE
#
# resolution and mode of the printer (dpi)
RESOLUTION=600
MFMODE=canonex
#
# top margin and left margin (unit 1/72 inch)
TOPMARGIN=72
LEFTMARGIN=72
#
# optional font formats: FreeType and VFlib
FONTF = -DFREETYPE -DVFLIB
# FREETYPE -- FTLIB, FTINC
# VFLIB    -- FTLIB, FTINC, VFLIB, VFLIBINC
FTLIB = -L${PREFIX}/lib -lfreetype
FTINC = -I${PREFIX}/include/freetype2 -I${PREFIX}/include
VFLIB = -L${PREFIX}/lib -lVFlib2 -lttf
VFLIBINC = -I${PREFIX}/include

# kpathsea
KPSELIB = -L${PREFIX}/lib -lkpathsea
KPSEINC = -I${PREFIX}/include -DKPATHSEA

FONTLIB = ${VFLIB} ${FTLIB}
#FONTLIB = ${VFLIB} ${FTLIB} -R${PREFIX}/lib
#FONTLIB = ${VFLIB} ${FTLIB} -Wl,-rpath,${PREFIX}/lib

#
CC=gcc
#
CCFLAGS = -g -O -DPOSIX -DANSI -DHAVE_PROTOTYPES
#CCFLAGS = -g -O -DPOSIX
#CCFLAGS = -O -DPOSIX	# NetBSD FreeBSD Linux (gcc 2.X)
#CCFLAGS = -O -DMSDOS -DPOSIX	# DJGCC (gcc 2.X)
#CCFLAGS = -O -DANSI -DPOSIX -DSYSV -DSYSVIO	# SunOS 5.X (SUNWspro/bin/cc)
#CCFLAGS = -O -DSYSVIO		# SunOS 5.X (/usr/ucb/cc -- not recommended)
#CCFLAGS = -O -DSYSV -DSYSVIO	# SysV systems

# BSD-type install assumed
INSTALL=install -c -s

# You don't have to change the definition variables in the folllowing.
#
CFLAGS = ${CCFLAGS} ${FONTF} ${KPSEINC}
CNFCFLAGS = ${CFLAGS} -DDVI2PATH=\"${DVI2PATH}\" \
	    -DDVI2LIB=\"${DVI2LIB}\" -DFONTDESC=\"//${FONTDESC}\" \
	    -DRESOLUTION=${RESOLUTION} -DMFMODE=\"${MFMODE}\" \
	    -DPAGEREVERSE=${PAGEREVERSE}
DEVCFLAGS = ${CFLAGS} -DPAPERTYPE=${PAPERTYPE} -DLARGEAREA=${LARGEAREA}

FILES = README COPYRIGHT man doc Makefile \
	dvi2.psdoc special.psdoc psifont.psdoc color.psdoc lib-dist tools \
	defs.h xxstdio.h global.h commands.h set.h dconv.h \
	virfont.h pkfont.h gffont.h rastfont.h \
	bifont.h freetype.h funcfont.h \
	jsub.h emit.h \
	ps.h \
	ptexmac.h dvips.h cscommands.h \
	dvi2.c dviconv.c dfdcom.c fontcom.c set.c rfset.c vfset.c \
	dconv.c run.c mag.c fontdesc.c scanfont.c \
	virfont.c vfdcom.c \
	pkfont.c gffont.c rastfont.c \
	bifont.c type1font.c wlfont.c ttfont.c vflfont.c mmfont.c \
	compfont.c decompfont.c execfont.c \
	funcfont.c \
	kpse.c kanji.c open.c io.c util.c \
	xxstdio.c \
	version.c \
	ps.c psrast.c \
	psbi.c pstfm.c pstype1.c pswl.c pstt.c pstt2t1.c psvfl.c \
	pst1form.c writet1.c \
	psspecial.c pscolor.c psifont.c psio.c

DVI2OBJS = dvi2.o dviconv.o dfdcom.o fontcom.o set.o rfset.o vfset.o \
	dconv.o run.o mag.o fontdesc.o scanfont.o \
	virfont.o vfdcom.o \
	pkfont.o gffont.o rastfont.o \
	bifont.o type1font.o wlfont.o ttfont.o vflfont.o mmfont.o \
	compfont.o decompfont.o execfont.o \
	funcfont.o \
	kpse.o kanji.o open.o io.o util.o \
	xxstdio.o \
	version.o
PSOBJS = ps.o psrast.o \
	psbi.o pstfm.o pstype1.o pswl.o pstt.o pstt2t1.o psvfl.o \
	pst1form.o writet1.o \
	psspecial.o pscolor.o psifont.o psio.o

DVI2HEADERS = ${DVI2LIB}/headers
HDR = lib/headers
PSHEADERS = ${HDR}/dvi2.ps ${HDR}/special.ps ${HDR}/psifont.ps ${HDR}/color.ps

all: dvi2ps newlib

dvi2ps: ${DVI2OBJS} ${PSOBJS}
	${CC} -o $@ ${DVI2OBJS} ${PSOBJS} ${FONTLIB} ${KPSELIB} -lm
dvi2.o: Makefile
	${CC} ${CNFCFLAGS} -c dvi2.c
ps.o: Makefile
	${CC} ${DEVCFLAGS} -c ps.c
# files that depend on ${FONTF}
ttfont.o: Makefile
	${CC} ${FTINC} ${CFLAGS} -c ttfont.c
pstt.o: Makefile
	${CC} ${FTINC} ${CFLAGS} -c pstt.c
pstt2t1.o: Makefile
	${CC} ${FTINC} ${CFLAGS} -c pstt2t1.c
vflfont.o: Makefile
psvfl.o: Makefile
	${CC} ${VFLIBINC} ${CFLAGS} -c psvfl.c

newlib: ${PSHEADERS} lib/dvi2.ps

lib/dvi2.ps: ${HDR}/dvi2.ps ${HDR}/special.ps
	cat ${HDR}/dvi2.ps ${HDR}/special.ps > lib/dvi2.ps
${HDR}/dvi2.ps: dvi2.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < dvi2.psdoc | \
	sed -e s/'##XCOORD##'/${LEFTMARGIN}/ -e s/'##YCOORD##'/${TOPMARGIN}/ \
		> ${HDR}/dvi2.ps
${HDR}/special.ps: special.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < special.psdoc > ${HDR}/special.ps
${HDR}/psifont.ps: psifont.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < psifont.psdoc > ${HDR}/psifont.ps
${HDR}/color.ps: color.psdoc
	-mkdir lib ${HDR}
	./tools/psstrip < color.psdoc > ${HDR}/color.ps


ITEST=install-test
SHARE=/usr/local/share
test-install:
	-mkdir ${ITEST}
	-mkdir ${ITEST}/bin
	-mkdir ${ITEST}/lib
	make PREFIX=${ITEST} install
	rm -f ${ITEST}/share
	ln -s ${ITEST}/share ${SHARE}
test-dvi2ps:
	DVI2PSLIB=${ITEST}/lib/dvi2ps ./${ITEST}/bin/dvi2ps test.dvi > test.ps


install: install-dvi2ps install-lib

install-dvi2ps: dvi2ps
	${INSTALL} -m 755 dvi2ps ${BINAREA}/dvi2ps

install-lib: newlib
	-mkdir ${DVI2LIB}
	-mkdir ${DVI2HEADERS}
	cp -p ${PSHEADERS} ${DVI2HEADERS}
	cp -p lib/dvi2.ps ${DVI2LIB}
	cp -pr lib-dist/* ${DVI2LIB}
	cp -pr cconv ${DVI2LIB}
	chmod -R a+r ${DVI2LIB}

install-testlib:
	if [ -d ${ITEST}/lib/dvi2ps ]; then \
		cp -pr ${ITEST}/lib/dvi2ps/* ${DVI2LIB}; \
	else \
		echo "test directory '${ITEST}/lib/dvi2ps' not found"; \
	fi

install-man:
	${INSTALL} -m 444 man/div2ps.1 ${MANAREA}/cat1/dvi2ps.1
	${INSTALL} -m 444 man/div2ps.man ${MANAREA}/man1/dvi2ps.1
	${INSTALL} -m 444 man/div2ps.1j ${JMANAREA}/cat1/dvi2ps.1
	${INSTALL} -m 444 man/div2ps.jman ${JMANAREA}/man1/dvi2ps.1

install-doc:
	-mkdir ${DOCAREA}
	${INSTALL} -m 444 doc/* ${DOCAREA}

install-MakePK:
	${INSTALL} -m 755 tools/MakePK ${BINAREA}/MakePK


lprdvi:
	sed -e s,'%%ETCAREA%%',${ETCAREA}, \
	    -e s,'%%FONTDESC%%',${FONTDESC}, \
	    -e s,'%%LEFTMARGIN%%',${LEFTMARGIN}, \
	    -e s,'%%TOPMARGIN%%',${TOPMARGIN}, \
		tools/lprdvi.templ > lprdvi

install-lprdvi: lprdvi
	${INSTALL} -m 755 lprdvi ${BINAREA}/lprdvi
	${INSTALL} -m 644 lprdvi.conf ${ETCAREA}


clean:
	rm -rf lib
	rm -f dvi2ps lprdvi *.o
	rm -rf ${ITEST}


#
dvi2.o: dconv.h defs.h
dviconv.o: dconv.h defs.h set.h
dfdcom.o: dconv.h defs.h
fontcom.o: defs.h set.h
set.o: defs.h set.h
rfset.o: defs.h set.h
vfset.o: defs.h set.h
dconv.o : dconv.h
run.o: defs.h
mag.o: defs.h
fontdesc.o: defs.h
scanfont.o: dconv.h defs.h set.h
virfont.o: defs.h set.h virfont.h
vfdcom.o: dconv.h defs.h
pkfont.o: defs.h rastfont.h pkfont.h
gffont.o: defs.h rastfont.h gffont.h
rastfont.o: defs.h rastfont.h
bifont.o: defs.h bifont.h jsub.h
type1font.o: defs.h bifont.h
ttfont.o: defs.h bifont.h
wlfont.o: defs.h bifont.h
vflfont.o: defs.h bifont.h Makefile
mmfont.o: defs.h bifont.h
compfont.o: defs.h set.h funcfont.h jsub.h
decompfont.o: defs.h set.h funcfont.h jsub.h
execfont.o: defs.h
funcfont.o: defs.h funcfont.h
kpse.o: defs.h
kanji.o: defs.h jsub.h
open.o: defs.h
io.o: defs.h
#util.o: defs.h
xxstdio.o: defs.h xxstdio.h

ps.o: defs.h emit.h ps.h
psspecial.o: defs.h emit.h
psrast.o: defs.h emit.h rastfont.h ps.h
psbi.o: defs.h emit.h bifont.h ps.h
pstfm.o: defs.h emit.h bifont.h ps.h
pstype1.o: defs.h
pswl.o: defs.h emit.h bifont.h ps.h
pstt.o: defs.h emit.h bifont.h ps.h
pstt2t1.o: defs.h emit.h
psvfl.o: defs.h emit.h bifont.h ps.h
pst1form.o: defs.h emit.h
writet1.o: ptexmac.h dvips.h
psifont.o: defs.h emit.h ps.h
psio.o: defs.h emit.h ps.h

## dvi2ps 5.1j

=== debian/changelog ===
dvi2ps (5.1j-3) unstable; urgency=medium

  * Improve wording of debconf templates (Closes: #311602).
  * Hand over generation of TeX {pre|post]{inst|rm} snippets to tex-common.
  * Add -std=gnu17 to CFLAGS (Closes: #1101293).
  * Lintian:
    - I: dvi2ps source: debian-watch-uses-insecure-uri
    - I: dvi2ps source: patch-not-forwarded-upstream
    - Override: package-contains-documentation-outside-usr-share-doc
    - Override: dvi2ps: possible-bashism-in-maintainer-script
    - I: dvi2ps source: quilt-patch-missing-description

 -- Hilmar Preuße <hille42@debian.org>  Sun, 07 Sep 2025 14:36:05 +0200

dvi2ps (5.1j-2) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Move package to Debian TeX maintainers
  * d/rules: short dh (closes: #436778)
  * Add Homepage
  * Add watch file
  * d/copyright: DEP5
  * Fix clean target
    Closes: #1044774
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Fix day-of-week for changelog entry 3.0a1-5.
  * debian/salsa-ci.yml: Do not check for blhc

  [ Shengqi Chen ]
  * Update patches and build flags to fix more FTBFS issues (closes: #1066362)
  * d/control:
    + update obsolete B-D name pkg-config to pkgconf
    + bump compact level to 13
    + remove obsolete Depends on tetex-bin, use texlive-base (closes: #1030072)
    + remove obsolete Breaks and Replaces that are not in the archive any more
    + bump std-ver to 4.7.2 (no changes required)
  * Remove hardcoded command path in maintainer scripts
  * d/rules: enable full hardening build flags
  * d/po: convert all remaining files to UTF-8

  [ Hilmar Preuße ]
  * Replace dep on "texlive-binaries" by "texlive-base".
    Add myself to Uploaders.

 -- Shengqi Chen <harry-chen@outlook.com>  Sat, 29 Mar 2025 07:26:52 +0100

dvi2ps (5.1j-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to debhelper-compat 10 (Closes: #965502).

 -- Bastian Germann <bage@debian.org>  Mon, 03 Oct 2022 09:32:23 +0000

dvi2ps (5.1j-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 10. (Closes: #957157)

 -- Adrian Bunk <bunk@debian.org>  Fri, 05 Feb 2021 17:21:48 +0200

dvi2ps (5.1j-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Use pkg-config to detect the freetype libraries (Closes: #887604).
  * Patch debian/rules to allow dvi2ps to cross-build from source:
    - Let dh_auto_configure pass --host to ./configure.
    - Let dh_auto_build pass cross-tools to debian/Makefile.tools.
    - Do not strip at install time.
    - Thanks to Helmut Grohne for supplying a patch (Closes: #901692).
  * debian/control:
    - Build-Depend on dh-autoreconf and pkg-config.
  * debian/po:
    - Add Italian translation by Beatrice Torracca (Closes: #659141).
    - Add LINGUAS file.
  * debian/rules:
    - Call dh_autoreconf and dh_autoreconf_clean during the 'configure' and
      'clean' targets respectively.
    - Allow dvi2ps to cross-build from source (see above for details).

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Sun, 17 Feb 2019 23:29:43 +1100

dvi2ps (5.1j-1.2) unstable; urgency=medium

  * NMU
  * use autotools-dev to update config.{sub,guess} for new arches.
    Closes: #749012. Thanks to Logan Rosen for the patch.
  * Add simple debian build rules for build-arch and build-indep.

 -- Steve McIntyre <93sam@debian.org>  Tue, 14 Oct 2014 22:16:18 +0100

dvi2ps (5.1j-1.1) unstable; urgency=medium

  * Non-maintainer upload to fix FTBFS.
  * Add 09_freetype_header.patch, renaming freetype.h to dvi2ps_freetype.h
    to avoid collision with Freetype (Closes: #733394)

 -- Margarita Manterola <marga@debian.org>  Fri, 25 Apr 2014 19:32:54 +0200

dvi2ps (5.1j-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format.
    - Drop dpatch system.
  * 08_kpse_set_program_name.patch: Use kpse_set_progname instead of
  kpse_set_program_name (closes: #666293).
  * debian/rules: Regenerate dvi2ps-conf.h to change DVI2LIB variable.
  * 01_fix_FTBFS_on_kFreeBSD.dpatch, 02_include-kpathsea.h.dpatch,
    04_defs_h.dpatch: Delete unused patches.

 -- OHURA Makoto <ohura@debian.org>  Mon, 30 Apr 2012 20:34:14 +0900

vi2ps (4.1j-3) unstable; urgency=low

  * debian/patches/02_include-kpathsea.h.dpatch: New patch.  Include
    kpathsea/kpathsea.h for building with TeXLive 2009.
    (Closes: #562289, #565232, #568816)
  * debian/patches/02_include_c-auto.dpatch: Delete unused patch.
  * debian/patches/05_debian-patch.dpatch: Change the definition of
    the variable bk. (Closes: #571779)
  * debian/control:
    - Update Standards-Version.
    - Add Dependency on ${misc:Depends}.

 -- OHURA Makoto <ohura@debian.org>  Mon, 22 Mar 2010 15:09:07 +0900

dvi2ps (4.1j-2) unstable; urgency=low

  * debian/po/ru.po: Add Russian debconf templates. (Closes: #494862)

 -- OHURA Makoto <ohura@debian.org>  Wed, 17 Sep 2008 22:03:34 +0900

dvi2ps (4.1j-1) unstable; urgency=low

  * New upstream release
    - Build with freetype2. (Closes: #431783)
    - Sync patches with new upstream release.
  * debian/patches/05_makefile_paths.dpatch: New patch.  Set paths for
    Debian package.
  * debian/patches/07_vflib3.dpatch: New patch. Build with
    vflib3. (Closes: #366031)
  * debian/control:
    - Change Build-Dependecies for freetype2 and vflib3.
    - Update Updated Standards-Version.
  * debian/copyright: Update infomartion about pstt2t1.c.
  * debian/rules:
    - Update debhelper compatiblity to 5.
    - Don't ignore error at make clean.

 -- OHURA Makoto <ohura@debian.org>  Thu, 15 May 2008 23:33:24 +0900

dvi2ps (3.2j-16) unstable; urgency=low

  * debian/po/pt.po: Added Portuguese translation of debconf
    templates. (Closes: #414925).

 -- OHURA Makoto <ohura@debian.org>  Sun, 25 Mar 2007 21:42:13 +0900

dvi2ps (3.2j-15) unstable; urgency=high

  * Set urgency to high to fix RC bug.
  * debian/control:


=== debian/control ===
Source: dvi2ps
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: OHURA Makoto <ohura@debian.org>,
           Hilmar Preuße <hille42@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 nkf,
 libkpathsea-dev,
 vflib3-dev,
 libfreetype-dev,
 pkgconf,
 po-debconf,
 tex-common
Rules-Requires-Root: no
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/tex-team/dvi2ps
Vcs-Git: https://salsa.debian.org/tex-team/dvi2ps.git
Homepage: https://www.math.s.chiba-u.ac.jp/~sakurai/software.html

Package: dvi2ps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, texlive-base, debconf | debconf-2.0
Suggests: dvi2ps-fontdata-ja
Description: TeX DVI-driver for NTT JTeX, MulTeX and ASCII pTeX
 dvi2ps is another converter of DVI file to PostScript file.
 dvi2ps can handle dvi files of NTT JTeX, MulTeX and ASCII pTeX.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-error=implicit-function-declaration -Wno-error=implicit-int
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Workaround for incompatibility to GCC 15.
export CFLAGS += -std=gnu17

PACKAGE=dvi2ps
ETCD=$(CURDIR)/debian/dvi2ps/etc/texmf/dvi2ps
TXMFD=$(CURDIR)/debian/dvi2ps/usr/share/texmf/dvi2ps

%:
	dh $@ --with tex

override_dh_auto_configure:
	dh_auto_configure -- --with-dvi2pslib=/usr/lib/dvi2ps
	cp -a dvi2ps-conf.h dvi2ps-conf.h.bak

override_dh_auto_build:
	-rm dvi2ps-conf.h
	$(MAKE) dvi2ps-conf.h
	dh_auto_build -- PREFIX=/usr MFMODE=ljfour \
		CFLAGS='$(CFLAGS) -DPOSIX -DSYSV -DANSI'
	dh_auto_build -- lprdvi newlib CFLAGS='$(CFLAGS) -DPOSIX -DSYSV -DANSI'
	dh_auto_build --buildsystem=makefile --sourcedirectory=tools -- -f ../debian/Makefile.tools

override_dh_auto_clean:
	-(cd tools ; $(MAKE) -f ../debian/Makefile.tools clean)
	if [ -e dvi2ps-conf.h.bak ] ; then mv dvi2ps-conf.h.bak dvi2ps-conf.h ; fi
	rm -rf lib

override_dh_auto_install:
	$(MAKE) install prefix=$(CURDIR)/debian/dvi2ps/usr DVI2PSLIB=$(CURDIR)/debian/dvi2ps/usr/lib/dvi2ps
#	$(MAKE) install-lib DESTDIR=$(CURDIR)/debian/dvi2ps
	rm -rf $(TXMFD)/fonts

	chmod +x debian/install-ja
	rm -f debian/dvi2ps/usr/share/texmf/dvi2ps/configk
#	make install-lprdvi DESTDIR=debian/dvi2ps
	install -m 755 lprdvi debian/dvi2ps/usr/bin
	install -m 644 tools/lprdvi.conf debian/dvi2ps/etc/texmf/dvi2ps
	install -c -m 755 tools/nup debian/dvi2ps/usr/bin
	install -c -m 755 tools/texfix debian/dvi2ps/usr/bin/texfix
	#-install -m 644 lib/PS600J \
	#		debian/dvi2ps/etc/texmf/dvi2ps/fontdesc
	install -m 644 debian/fontdesc $(ETCD)/fontdesc
	ln -sf /etc/texmf/dvi2ps/fontdesc $(TXMFD)/fontdesc
	install -m 644 lib-dist/configk $(ETCD)/configk
	ln -sf /etc/texmf/dvi2ps/configk $(TXMFD)/configk
	install -m 644 lib-dist/multex $(ETCD)/multex
	ln -sf /etc/texmf/dvi2ps/multex $(TXMFD)/multex
	install -m 644 doc/history doc/*.mf \
			debian/dvi2ps/usr/share/doc/dvi2ps
	for f in README doc/DOCS doc/*.doc; do \
		debian/install-ja $$f \
			debian/dvi2ps/usr/share/doc/dvi2ps/ja ;\
	done
	install -m 644 man/dvi2ps.man \
			debian/dvi2ps/usr/share/man/man1/dvi2ps.1
	debian/install-ja man/dvi2ps.jman \
			debian/dvi2ps/usr/share/man/ja/man1/dvi2ps.1

=== debian/watch ===
version=4

https://www.math.s.chiba-u.ac.jp/~sakurai/software.html .*/tex/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
